package com.drhoffmannstoolsdataloggerreader;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.hardware.usb.UsbManager;
import android.widget.Toast;
/*
 * Dieser BroadcastReceiver bekommt die Intents mit, welche sagen, wenn ein USB-Device abgezogen
 * worden ist. Beim Einstecken geht es leider nicht, aber dann wird schon die 
 * Haupt-Activity mit OnResume gestartet.
 * */
public class USBDetector extends BroadcastReceiver {
	public static USBDataloggerreaderActivity god=null;
	@Override
	public void onReceive(Context context, Intent intent) {
		String action = intent.getAction();

		Toast.makeText(context, "Action: " + action, Toast.LENGTH_LONG).show();
		// pops up only if action == DETACHED
		if (UsbManager.ACTION_USB_DEVICE_DETACHED.equals(action)) {                
			if(god!=null) god.setdisconnected();
		}
	}
}
